# Interface StoreManager

All Superinterfaces:
  `DistributedManager`

All Known Implementing Classes:
  `PersistentManager`, `PersistentManagerBase`

public interface StoreManager extends DistributedManager
PersistentManager would have been a better name but that would have clashed with the implementation name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Store`
  `getStore()`
  `void`
  `removeSuper(Session session)`
  Remove this Session from the active Sessions for this Manager, but not from the Store.

  ### Methods inherited from interface org.apache.catalina.DistributedManager

  `getActiveSessionsFull, getSessionIdsFull`

- ## Method Details

  - ### getStore

    Store getStore()
    Returns:
      the Store object which manages persistent Session storage for this Manager.

  - ### removeSuper

    void removeSuper(Session session)
    Remove this Session from the active Sessions for this Manager, but not from the Store. (Used by the PersistentValve)
    Parameters:
      `session` - Session to be removed